org.crosswire.jsword.passage

## Class PassageUtil

- java.lang.Object
- - org.crosswire.jsword.passage.PassageUtil

-     public final class PassageUtil
      extends Object

  A Utility class containing various static methods.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static boolean` | `persistentNaming` Do we store the original string?

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PassageUtil()` Prevent instantiation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getDefaultPersistentNaming()` By default do we remember the original string used to configure us?
    `static boolean` | `isPersistentNaming()` Do we remember the original string used to configure us?
    `static void` | `setPersistentNaming(boolean persistentNaming)` Do we remember the original string used to configure us?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### persistentNaming

          private static boolean persistentNaming

      Do we store the original string?

  - ### Constructor Detail

    - #### PassageUtil

          private PassageUtil()

      Prevent instantiation

  - ### Method Detail

    - #### setPersistentNaming

          public static void setPersistentNaming(boolean persistentNaming)

      Do we remember the original string used to configure us?
      Parameters:
        `persistentNaming` - True to keep the old string False (default) to generate a new better one

    - #### isPersistentNaming

          public static boolean isPersistentNaming()

      Do we remember the original string used to configure us?
      Returns:
        True if we keep the old string False (default) if we generate a new better one

    - #### getDefaultPersistentNaming

          public static boolean getDefaultPersistentNaming()

      By default do we remember the original string used to configure us?
      Returns:
        false getDefaultPersistentNaming() is always false